{
	"name": "mediawiki/core",
	"description": "Free software wiki application developed by the Wikimedia Foundation and others",
	"keywords": ["mediawiki", "wiki"],
	"homepage": "https://www.mediawiki.org/",
	"authors": [
		{
			"name": "MediaWiki Community",
			"homepage": "https://www.mediawiki.org/wiki/Special:Version/Credits"
		}
	],
	"license": "GPL-2.0+",
	"support": {
		"issues": "https://bugs.mediawiki.org/",
		"irc": "irc://irc.freenode.net/mediawiki",
		"wiki": "https://www.mediawiki.org/"
	},
	"require": {
		"composer/semver": "1.4.0",
		"cssjanus/cssjanus": "1.1.2",
		"ext-ctype": "*",
		"ext-iconv": "*",
		"ext-json": "*",
		"ext-mbstring": "*",
		"ext-xml": "*",
		"liuggio/statsd-php-client": "1.0.18",
		"mediawiki/at-ease": "1.1.0",
		"oojs/oojs-ui": "0.17.1",
		"oyejorge/less.php": "1.7.0.10",
		"php": ">=5.5.9",
		"psr/log": "1.0.0",
		"wikimedia/assert": "0.2.2",
		"wikimedia/base-convert": "1.0.1",
		"wikimedia/cdb": "1.3.0",
		"wikimedia/cldr-plural-rule-parser": "1.0.0",
		"wikimedia/composer-merge-plugin": "1.3.1",
		"wikimedia/html-formatter": "1.0.1",
		"wikimedia/ip-set": "1.1.0",
		"wikimedia/php-session-serializer": "1.0.3",
		"wikimedia/relpath": "1.0.3",
		"wikimedia/running-stat": "1.1.0",
		"wikimedia/utfnormal": "1.0.3",
		"wikimedia/wrappedstring": "2.0.0",
		"zordius/lightncandy": "0.23",
		"mediawiki/semantic-media-wiki": "2.4.1",
		"mediawiki/semantic-maps": "3.3.0",
		"mediawiki/maps": "3.8.0",
		"mediawiki/page-forms": "3.5",
		"mediawiki/semantic-result-formats": "2.3",
		"mediawiki/semantic-interlanguage-links": "1.3.0",
		"jumbojett/openid-connect-php": "0.5.0"
	},
	"require-dev": {
		"jakub-onderka/php-parallel-lint": "0.9.2",
		"justinrainbow/json-schema": "~1.3",
		"mediawiki/mediawiki-codesniffer": "0.7.2",
		"monolog/monolog": "~1.18.2",
		"nikic/php-parser": "1.4.1",
		"nmred/kafka-php": "0.1.5",
		"phpunit/phpunit": "4.8.24",
		"wikimedia/avro": "1.7.7"
	},
	"suggest": {
		"ext-apc": "Local data and opcode cache",
		"ext-fileinfo": "Improved mime magic detection",
		"ext-intl": "ICU integration",
		"ext-wikidiff2": "Diff accelerator",
		"monolog/monolog": "Flexible debug logging system",
		"nmred/kafka-php": "Send debug log events to kafka",
		"pear/mail": "Mail sending support",
		"pear/mail_mime": "Mail sending support",
		"pear/mail_mime-decode": "Mail sending support",
		"wikimedia/avro": "Binary serialization format used with kafka"
	},
	"autoload": {
		"psr-0": {
			"ComposerHookHandler": "includes/composer"
		}
	},
	"scripts": {
		"lint": "parallel-lint --exclude vendor",
		"phpcs": "phpcs -p -s",
		"fix": "phpcbf",
		"pre-install-cmd": "ComposerHookHandler::onPreInstall",
		"pre-update-cmd": "ComposerHookHandler::onPreUpdate",
		"test": [
			"composer lint",
			"composer phpcs"
		]
	},
	"config": {
		"optimize-autoloader": true,
		"prepend-autoloader": false
	},
	"extra": {
		"merge-plugin": {
			"include": [
				"composer.local.json"
			],
			"merge-dev": false
		}
	}
}
